<?php

/**
 * Test: Environment variables.
 *
 * @author     David Grudl
 * @package    Nette
 * @subpackage UnitTests
 */



require dirname(__FILE__) . '/../bootstrap.php';



Assert::null( Environment::getVariable('foo', NULL), "Getting variable 'foo':" );


Assert::throws(create_function('', '
	Environment::getVariable(\'foo\');
'), 'InvalidStateException', "Unknown environment variable 'foo'.");


// Defining constant 'APP_DIR':
Environment::setVariable('appDir', '/myApp');

Assert::same( '/myApp', Environment::getVariable('appDir') );


// Setting variable 'test'...
Environment::setVariable('test', '%appDir%/test');

Assert::same( '/myApp/test', Environment::getVariable('test') );
